import express from 'express';
import { register, login, getMe, changePassword, updateProfile } from '../controllers/authController.js';
import verifyToken from '../middleware/authMiddleware.js';

const router = express.Router();

router.post('/register', register);
router.post('/login', login);
router.get('/me', verifyToken, getMe);
router.put('/change-password', verifyToken, changePassword);
router.put('/update-profile', verifyToken, updateProfile);

export default router;
